
hirom  ; don't change this
header  ; comment out if your rom has no header

org $C215C8  ; location in v1.0 and v1.1
;org $C215C3  ; location in SFC version only
C215C8:	CPY #$08  ; is attacker a monster?
REPLACE1:
C215CA:	BCS is_monster  ; if so, no DA
;C215CA:	BCS capture  ; replaces this
C215CC:	LDA $3A3F
C215CF:	CMP #$03  ; time counter 768 or more?
C215D1:	BCC capture  ; if not, no DA
	REP #$20  ; 16-bit A
;REMOVED1:
;	LDA $3EE5,Y
;	BIT #$02
;	BEQ capture
;	BIT #$24
;	BNE capture
C215D5:	LDA $3EE4,Y  ; status bytes 1 & 2
	XBA
	LSR A
	LSR A  ; check for Near Fatal
REPLACE2:
C215DB:	BIT #$0489  ; check for Muddle, Image, Clear and Zombie
;C215DB:	BIT #$12  ; Clear and Zombie only
	SEP #$20  ; 8-bit A
	BCC capture  ; no DA if not Near Fatal
C215E2:	BNE capture  ; no DA if any of those four statuses
C215E4:	LDA $B9  ; any monster targets?
C215E6:	BEQ capture  ; no DA if not
C215E8:	JSR $4B5A  ; v1.0 or v1.1
;C215E8:	JSR $4B42  ; SFC only
C215EB:	AND #$0F  ; PRN 0-15
C215ED:	BNE capture  ; 1/16 chance of DA
C215EF:	LDA $3018,Y
C215F2:	TSB $3F2F  ; mark as ineligible for another DA this battle
C215F5:	BNE capture  ; no DA if already marked
C215F7:	LDA $3ED8,Y  ; which character?
REPLACE3:
C215FA:	CMP #$0B
C215FC:	BCC gogo
C215FE:	CMP #$0C
C21600:	BNE capture  ; five-instruction replacement
C21602:	DEC A
;C215FA:	CMP #$0C
;C215FC:	BEQ gogo
;C215FE:	CMP #$0B
;C21600:	BCS capture
;C21602:	INC A
gogo:
;REMOVED2:	DEC A
C21603:	ORA #$F0
C21605:	STA $B6
C21607:	LDA #$10
C21609:	TRB $B0
C2160B:	JMP $1714  ; v1.0 or v1.1
;C2160B:	JMP $170F  ; SFC only

capture:
C2160E:	CPY #$08
C21610:	BCS is_monster
C21612:	LDA $3ED8,Y  ; which character?
C21615:	CMP #$0D  ; Umaro?
C21617:	BEQ umaro  ; if so, branch

is_monster:
C21619:	TYX
C2161A:	LDA $3C58,X  ; Relic effects
C2161D:	LSR A  ; is Offering equipped?
C2161E:	LDA #$01
C21620:	BCC attacks
C21622:	LDA #$07

attacks:
C21624:	STA $3A70
C21627:	JSR $5A4D  ; v1.0 or v1.1
;C21627:	JSR $5A35  ; SFC only
C2162A:	JSR $3865  ; v1.0 or v1.1
;C2162A:	JSR $3860  ; SFC only
C2162D:	LDA #$02
C2162F:	TRB $B2
C21631:	LDA $B5
C21633:	STA $3413
	BNE execute  ; skip if not Fighting
	LSR $3E4C,X  ; clear Retort bit
	ASL $3E4C,X

execute:
C2163E:	JMP $317B  ; v1.0 or v1.1
;C2163E:	JMP $3176  ; SFC only

umaro:
C21641:	STZ $FE
	LDX #$02
;REMOVED3:
;	LDA #$C6
;	CMP $3CD0,Y
;	BEQ check_character
;	CMP $3CD1,Y
;	BNE relic_loop
;	TDC
check_character:
C21645:	LDA $3018,Y
C21648:	EOR $3A74
REPLACE4:
C2164B:	BNE relic_loop
;C2164B:	BEQ relic_loop
	DEX

relic_loop:
	TXA
	CLC
REPLACE5:
C21650:	ADC #$C4
;C21650:	LDA #$C5
C21652:	CMP $3CD0,Y
C21655:	BEQ add_storm
C21657:	CMP $3CD1,Y
C2165A:	BNE after_relic

add_storm:
	TXA
	EOR #$03
	ASL A
	ASL A
;REMOVED4:	LDA #$08
C21661:	TSB $FE

after_relic:
	DEX
	BNE relic_loop

org $C2167C  ; location in v1.0 or v1.1
;org $C21677  ; location in SFC version
DW is_monster

org $C219D3  ; location in v1.0 or v1.1
;org $C219CE  ; location in SFC version
DW capture